# Command: ProcessorName

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ProcessorName - Returns a unique specifier for the actual node.

Synopsis:

    ProcessorName -> string

Examples:

      (I'm process ) =only Rank 1 add =only ( of ) =only NumProcesses =only ( on
      machine ) =only
      ProcessorName =

Description:

      This function returns the name of the processor it was called
      on (MPI_Get_processor_name). See MPI documentation for more details. If NEST
      is not compiled with MPI support, this function returns the hostname of
      the machine as returned by the POSIX function gethostname().

Availability:

    NEST 2.0

Author:

    Alexander Hanuschkin

FirstVersion:

    April 2009

SeeAlso:

- Rank
- NumProcesses
- SyncProcesses

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/nestkernel/nestmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative